---
- name: Include any provider specific variables
  include: "{{ item }}"
  with_first_found:
    - files:
        - "{{ dns_provider }}.yml"
      skip: true

- name: Load provider specific tasks
  include: "{{ dns_provider }}_provider.yml"
...
